TagVariableInfo (JSP 3.1 API Documentation - Apache Tomcat 10.1.48)
Description: declaration: package: jakarta.servlet.jsp.tagext, class: TagVariableInfo

# Class TagVariableInfo

java.lang.Object
jakarta.servlet.jsp.tagext.TagVariableInfo

public class TagVariableInfo extends Object
Variable information for a tag in a Tag Library; This class is instantiated from the Tag Library Descriptor file (TLD) and is available only at translation time. This object should be immutable. This information is only available in JSP 1.2 format TLDs or above.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagVariableInfo(String nameGiven, String nameFromAttribute, String className, boolean declare, int scope)`
  Constructor for TagVariableInfo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  The body of the <variable-class> element.
  `boolean`
  `getDeclare()`
  The body of the <declare> element.
  `String`
  `getNameFromAttribute()`
  The body of the <name-from-attribute> element.
  `String`
  `getNameGiven()`
  The body of the <name-given> element.
  `int`
  `getScope()`
  The body of the <scope> element.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagVariableInfo

    public TagVariableInfo(String nameGiven, String nameFromAttribute, String className, boolean declare, int scope)
    Constructor for TagVariableInfo.
    Parameters:
      `nameGiven` - value of <name-given>
      `nameFromAttribute` - value of <name-from-attribute>
      `className` - value of <variable-class>
      `declare` - value of <declare>
      `scope` - value of <scope>

- ## Method Details

  - ### getNameGiven

    public String getNameGiven()
    The body of the <name-given> element.
    Returns:
      The variable name as a constant

  - ### getNameFromAttribute

    public String getNameFromAttribute()
    The body of the <name-from-attribute> element. This is the name of an attribute whose (translation-time) value will give the name of the variable. One of <name-given> or <name-from-attribute> is required.
    Returns:
      The attribute whose value defines the variable name

  - ### getClassName

    public String getClassName()
    The body of the <variable-class> element.
    Returns:
      The name of the class of the variable or `String` if not defined in the TLD.

  - ### getDeclare

    public boolean getDeclare()
    The body of the <declare> element.
    Returns:
      Whether the variable is to be declared or not. If not defined in the TLD, 'true' will be returned.

  - ### getScope

    public int getScope()
    The body of the <scope> element.
    Returns:
      The scope to give the variable. NESTED scope will be returned if not defined in the TLD.